Changes between Version 3 and Version 4 of WikiStart


Ignore:
Timestamp:
Jul 13, 2010, 5:59:23 PM (11 years ago)
Author:
Kris Deugau
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • WikiStart

    v3 v4  
    3636
    3737- Perl
    38   - NetAddr::IP >= 4.x.  3.x may work, however 4.x has been current on all of my development platforms for more than 5 years.
    39   - CGI::Carp
    40   - DBI
    41   - File::Path
    42   - POSIX
    43   - Sys::!SigAction.  This isn't strictly required;  it's used in an example hook for validating customer IDs against an external database.
    44   - Sys::Syslog
     38  - Standard modules:
     39    These should be included in any base Perl install
     40    - File::Path
     41    - CGI::Carp
     42    - POSIX
     43    - Sys::Syslog
     44  - Extra modules:
     45    - NetAddr::IP >= 4.x.  3.x may work, however 4.x has been current on all of my development platforms for more than 5 years.
     46    - DBI
     47    - DBD::Pg
     48    - Sys::!SigAction.  This isn't strictly required;  it's used in an example hook for validating customer IDs against an external database.  It could arguably be replaced with sigaction() from the POSIX module when using Perl >= 5.8.2.  See eg [http://search.cpan.org/~lbaxter/Sys-SigAction-0.11/lib/Sys/SigAction.pm Sys::SigAction] for some thoughts on the gritty details.
    4549- PostgreSQL v7.4 or higher.  Postgres provides an IP address/IP netblock data type, and operators to match;  much of the functionality relies on these database operations.  Other database engines could be used, with varying degress of trouble and hackery.  v8.x is probably a good idea since 7.x is no longer supported upstream.
    4650- Webserver supporting CGI executables.  Note that the current code is somewhat inflexible about its web path, but that's due to be fixed (see #3, #15, and #17).